| Home | Libraries | People | FAQ | More

## Struct template logical_xor

boost::mpi::logical_xor — Compute the logical exclusive OR of two integral values.

## Synopsis

    // In header: <boost/mpi/operations.hpp>

    template<typename T>
    struct logical_xor : public std::binary_function< T, T, T > {

      // public member functions
      T operator()(const T &, const T &) const;
    };

## Description

This binary function object computes the logical exclusive of the two values it is given. When used with MPI and a type `T` that has an associated, built-in MPI data type, translates to `MPI_LXOR`.

### `logical_xor` public member functions

1.     T operator()(const T & x, const T & y) const;

   Returns: | the logical exclusive OR of x and y.